Subject: Partitioner was detecting a filesystem where none existed

From: Peter <[email-masked]>
Date: Fri, 15 Jul 2022 16:13:36 -0400

Hi,

This is with the latest snapshot.

This is minor because it was being formatted anyway, but the issue is that
I had created a raw unformatted partition outside of GUIX, but the GUIX
partitioner tool was seeing it as possessing a filesystem of EXT4 already,
when in fact it should have been blank. Maybe it is a trace of a previous
partition that was in the space, but this is odd, it should not have
detected a filesystem on a new blank partition.

This means it was not reading the partition table correctly.

Best,
Peter